.media-modal__dialog {
  background-color: transparent;
  padding: 0;
  border: none;
  inline-size: 100%;
  max-inline-size: calc(100vw - 1rem);

  &[open] {
    display: flex;
    gap: 1rem;
    align-items: end;
    flex-direction: column-reverse;
  }

  & iframe {
    aspect-ratio: 16 / 9;
    inline-size: 100%;
    block-size: auto;
  }

  &::backdrop {
    background-color: rgba(0, 0, 0, 0.8);
  }
}

.media-modal__trigger {
  padding: 0.75rem 1.5rem;
  font-size: 1.25rem;
}

.media-modal__close {
  background-color: transparent;
  border: none;
  cursor: pointer;
  margin: 0;
  padding: 0;
}

.media-modal__content {
  inline-size: min(64rem, 100%);
  max-inline-size: 100%;
}

@media screen and (min-width: 480px) {
  .media-modal__dialog[open] {
    flex-direction: row;
    align-items: flex-start;
    justify-content: center;
  }
}
